
##
## Attributes
##
DeclareAttribute( "CBS", IsLieAlgebra );
DeclareAttribute( "Table", IsLieAlgebra );
DeclareAttribute( "DepthLVector", IsObject );
DeclareAttribute( "LengthLVector", IsObject );
DeclareAttribute( "CanonicalFormOfLieAlgebra", IsLieAlgebra );
DeclareAttribute( "IsSimpleLieAlgebra", IsLieAlgebra );

##
## Global Functions
##
DeclareGlobalFunction("DerivationsLieAlgebra");
DeclareGlobalFunction("InnerDerivations");
DeclareGlobalFunction("CanonicalFormOfSpecialTable");
DeclareGlobalFunction("CanonicalFormOfSolvableLieAlgebra");
DeclareGlobalFunction("IsomorphismOfLieAlgebras");
DeclareGlobalFunction("AreIsomorphicLieAlgebras");
DeclareGlobalFunction("AutomorphismGroupOfLieAlgebra");
DeclareGlobalFunction("AutomorphismGroupOfSolvableLieAlgebraBySpecial");
DeclareGlobalFunction("AutomorphismGroupOfSolvableLieAlgebraByFitting");
DeclareGlobalFunction("AutomorphismGroupOfSolvableLieAlgebra");
DeclareGlobalFunction("AutomorphismGroupOfLieAlgebraRandom");
DeclareGlobalFunction("UnipotentLieAlgebra");
DeclareGlobalFunction("TriangularLieAlgebra");
DeclareGlobalFunction("LieTableByBasis");
DeclareGlobalFunction("LieAlgebraByTable");
DeclareGlobalFunction("LieAlgebraTensor");
DeclareGlobalFunction("IdealsOfLieAlgebra");
DeclareGlobalFunction("SimpleFactorsLieAlgebra");

##
## Info classes
##
DeclareInfoClass( "InfoLieAut" );

