
FindLibraryNumber := function(L)
    local d, p, l, k, j;
    d := Dimension(L);
    p := Characteristic(LeftActingDomain(L));

    if p = 2 then 
        if d <> 15 and d <> 30 then 
            l := NilpotentElements(L);
            L!.nil := l;
            k := List(SLDB2[d], x -> x!.nrnil);
            j := Position(k, Length(l));
            return [d,j];
        else
            l := SolvableElements(L);
            L!.sol := l;
            k := List(SLDB2[d], x -> x!.nrsol);
            j := Position(k, Length(l));
            return [d,j];
        fi;
    fi;
end;

